### Method

# Gio FileInfo set_attribute_file_path

since: 2.78

#### Declaration

    void
    g_file_info_set_attribute_file_path (
      GFileInfo* info,
      const char* attribute,
      const char* attr_value
    )

#### Description

Sets the `attribute` to contain the given `attr_value`, if possible.

This function is meant to be used by language bindings that have specific handling for Unix paths.

Available since: 2.78

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`attr_value`

  Type: `const char*`

  A file path.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.